Update a Section for a Life Stage for a Firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/expenditure-structure/section/{lifeStageSection_uuid}

Path parameters

  • lifeStageSection_uuid string Required

    The uuid of the life stage section.

application/json

Body

  • name string Required

    The name of the Expenditure Life Stage Section.

  • has_custom_expenditures boolean

    Whether the Expenditure Life Stage Section accepts custom expenditures.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • name string
    • position string
    • fields object
      Hide fields attributes Show fields attributes object
      • uuid string
      • name string
      • section string
      • created_at string
      • updated_at string
    • created_at string
    • updated_at string
PUT /api/v1/expenditure-structure/section/{lifeStageSection_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/expenditure-structure/section/dc329ca6-bf88-43ad-a398-b2507569c941' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Children \u0026 Grandchildren Expenses","has_custom_expenditures":true}'
Request examples
{
  "name": "Children & Grandchildren Expenses",
  "has_custom_expenditures": true
}
Response examples (200)
[
  {
    "uuid": "be37c8cd-d751-4592-bbe9-88d1b8db0e6a",
    "name": "House Keeping",
    "position": "1",
    "fields": {
      "uuid": "43a679b1-c23f-41ce-b758-897a8464bb59",
      "name": "Electricity",
      "section": "Housekeeping Expenses",
      "created_at": "2026-07-20T09:57:23+01:00",
      "updated_at": "2026-07-20T09:57:23+01:00"
    },
    "created_at": "2023-06-16T15:25:06+01:00",
    "updated_at": "2023-06-16T15:25:06+01:00"
  }
]